Programm compiliert für 4.0, Ausführung auf älterem Framework?



  • Hallo!

    Erstelle gerade ein C# Programm, setzt alles auf der Version 4 des Net Frameworks auf.
    Aber ziemlich viele Computer haben immer noch ein altes Framework am laufen!
    Wie verhält sich mein Programm dann dort? Wird versucht, mein Programm laufen zu lassen oder wird von vorn herein abgebrochen?
    Gibt es für mich die Möglichkeit, mein Programm für ein älteres Framework zu compilieren?



  • Es wird eine Fehlermeldung geben.
    Das .Net 4.0 Framework basiert auf der 4.0 CLR wärend 2.0 bis 3.5 auf der 2.0 CLR basiert.

    Du kannst maximal dein Projekt ab Branchen, auf 3.5 stellen und Bauen. Sobald du etwas verwendet hast was es nur ab 4.0 gibt wirst du es dann merken und anpassen müssen.



  • Danke, habs gefunden.
    Blöderweise geht das Bitmap laden aus dem Ressource File jetzt nicht mehr!


Log in to reply